# Uses of Interface
javax.swing.text.AbstractDocument.AttributeContext

Packages that use AbstractDocument.AttributeContext
Package
Description
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.
javax.swing.text.html
Provides the class `HTMLEditorKit` and supporting classes for creating HTML text editors.

## Uses of AbstractDocument.AttributeContext in javax.swing.text

Classes in javax.swing.text that implement AbstractDocument.AttributeContext
Modifier and Type
Class
Description
`class`
`StyleContext`
A pool of styles and their associated resources.
Methods in javax.swing.text that return AbstractDocument.AttributeContext
Modifier and Type
Method
Description
`protected final AbstractDocument.AttributeContext`
AbstractDocument.`getAttributeContext()`
Fetches the context for managing attributes.
Constructors in javax.swing.text with parameters of type AbstractDocument.AttributeContext
Modifier
Constructor
Description
`protected`
`AbstractDocument(AbstractDocument.Content data, AbstractDocument.AttributeContext context)`
Constructs a new `AbstractDocument`, wrapped around some specified content storage mechanism.

## Uses of AbstractDocument.AttributeContext in javax.swing.text.html

Classes in javax.swing.text.html that implement AbstractDocument.AttributeContext
Modifier and Type
Class
Description
`class`
`StyleSheet`
Support for defining the visual characteristics of HTML views being rendered.